Debian Bug report logs - #650996
libmikmod: multiarch support

version graph

Package: src:libmikmod; Maintainer for src:libmikmod is Stephen Kitt <skitt@debian.org>;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Sun, 4 Dec 2011 22:39:02 UTC

Severity: wishlist

Tags: patch

Found in versions libmikmod/3.1.12-1, 3.1.12-1

Fixed in version libmikmod/3.1.12-2

Done: Gergely Nagy <algernon@madhouse-project.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#650996; Package src:libmikmod. (Sun, 04 Dec 2011 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Sun, 04 Dec 2011 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmikmod: multiarch support
Date: Sun, 4 Dec 2011 14:35:34 -0800
Source: libmikmod
Version: 3.1.12-1
Severity: wishlist
Tags: patch

The following patch should enable multiarch support for libmikmod.

thanks!

live well,
  vagrant


diff -Nru libmikmod-3.1.12/debian/compat libmikmod-3.1.12/debian/compat
--- libmikmod-3.1.12/debian/compat	2011-11-01 08:55:26.000000000 -0700
+++ libmikmod-3.1.12/debian/compat	2011-12-04 14:12:35.000000000 -0800
@@ -1 +1 @@
-8
+9
diff -Nru libmikmod-3.1.12/debian/control libmikmod-3.1.12/debian/control
--- libmikmod-3.1.12/debian/control	2011-11-01 08:55:26.000000000 -0700
+++ libmikmod-3.1.12/debian/control	2011-12-04 14:15:12.000000000 -0800
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Gergely Nagy <algernon@madhouse-project.org>
-Build-Depends: debhelper (>= 8), dh-autoreconf, texinfo
+Build-Depends: debhelper (>= 8.1.3~), dh-autoreconf, texinfo
 Standards-Version: 3.9.2
 Homepage: http://mikmod.raphnet.net/
 Vcs-Git: git://git.madhouse-project.org/debian/libmikmod.git
@@ -28,6 +28,8 @@
 
 Package: libmikmod2
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: oss-compat, ${shlibs:Depends}, ${misc:Depends}
 Description: Portable sound library
  This library is capable of playing samples as well as module
diff -Nru libmikmod-3.1.12/debian/libmikmod2-dev.install libmikmod-3.1.12/debian/libmikmod2-dev.install
--- libmikmod-3.1.12/debian/libmikmod2-dev.install	2011-11-01 08:55:26.000000000 -0700
+++ libmikmod-3.1.12/debian/libmikmod2-dev.install	2011-12-04 14:13:08.000000000 -0800
@@ -1,5 +1,5 @@
 /usr/bin/libmikmod-config
 /usr/include/mikmod.h
-/usr/lib/libmikmod.a
-/usr/lib/libmikmod.so
+/usr/lib/*/libmikmod.a
+/usr/lib/*/libmikmod.so
 /usr/share/aclocal/libmikmod.m4
diff -Nru libmikmod-3.1.12/debian/libmikmod2.install libmikmod-3.1.12/debian/libmikmod2.install
--- libmikmod-3.1.12/debian/libmikmod2.install	2011-11-01 08:55:26.000000000 -0700
+++ libmikmod-3.1.12/debian/libmikmod2.install	2011-12-04 14:13:17.000000000 -0800
@@ -1 +1 @@
-/usr/lib/*.so.*
+/usr/lib/*/*.so.*
diff -Nru libmikmod-3.1.12/debian/rules libmikmod-3.1.12/debian/rules
--- libmikmod-3.1.12/debian/rules	2011-11-01 08:55:26.000000000 -0700
+++ libmikmod-3.1.12/debian/rules	2011-12-04 14:24:13.000000000 -0800
@@ -1,13 +1,15 @@
 #! /usr/bin/make -f
 
 export DH_OPTIONS	+= -O-Bbuild
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-threads \
 		--disable-alsa \
-		--disable-esd
-
+		--disable-esd \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+		
 override_dh_installinfo:
 	dh_installinfo docs/mikmod.info*
 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#650996; Package src:libmikmod. (Mon, 05 Dec 2011 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. (Mon, 05 Dec 2011 18:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 650996@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: Vagrant Cascadian <vagrant@debian.org>
Cc: 650996@bugs.debian.org
Subject: Re: Bug#650996: libmikmod: multiarch support
Date: Mon, 05 Dec 2011 19:00:57 +0100
Vagrant Cascadian <vagrant@debian.org> writes:

> Source: libmikmod
> Version: 3.1.12-1
> Severity: wishlist
> Tags: patch
>
> The following patch should enable multiarch support for libmikmod.

Thanks, I'll apply it with the next upload!

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, 650996-submitter@bugs.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#650996; Package src:libmikmod. (Tue, 06 Dec 2011 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to 650996-submitter@bugs.debian.org, Gergely Nagy <algernon@madhouse-project.org>. (Tue, 06 Dec 2011 07:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 650996@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <650996@bugs.debian.org>
Subject: Re: libmikmod: multiarch support
Date: Mon, 05 Dec 2011 23:47:09 -0800
[Message part 1 (text/plain, inline)]
Package: libmikmod
Version: 3.1.12-1
Followup-For: Bug #650996
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi guys,

Attached is a slightly modified version of this patch:

 - debian/rules does not need to be edited for this; because the
   override_dh_auto_configure rule calls dh_auto_configure, the correct
   libdir option will automatically be passed by debhelper in compat level
   9.

 - libmikmod-dev is also co-installable with these changes, so I've marked
   it Multi-Arch: same as well.

This version of the patch will be uploaded to Ubuntu precise.

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libmikmod_3.1.12-1ubuntu1.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#650996; Package src:libmikmod. (Tue, 06 Dec 2011 09:03:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. (Tue, 06 Dec 2011 09:03:37 GMT) Full text and rfc822 format available.

Message #20 received at 650996@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: Steve Langasek <steve.langasek@canonical.com>, 650996@bugs.debian.org
Subject: Re: Bug#650996: libmikmod: multiarch support
Date: Tue, 6 Dec 2011 09:58:11 +0100
On Tue, Dec 6, 2011 at 08:47, Steve Langasek
<steve.langasek@canonical.com> wrote:
> Attached is a slightly modified version of this patch:
[...]
> This version of the patch will be uploaded to Ubuntu precise.

I'd like to ask you to not upload to precise yet. Instead, allow me to
upload to Debian first, and it will migrate through to Ubuntu. Less
work for both parties involved, as the ubuntu buildds won't have to
build essentially the same thing twice in quick succession.

I intend to upload a multiarch-enabled libmikmod tonight, so the delay
won't be long.

-- 
|8]




Reply sent to Gergely Nagy <algernon@madhouse-project.org>:
You have taken responsibility. (Tue, 06 Dec 2011 10:03:27 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Tue, 06 Dec 2011 10:03:35 GMT) Full text and rfc822 format available.

Message #25 received at 650996-close@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: 650996-close@bugs.debian.org
Subject: Bug#650996: fixed in libmikmod 3.1.12-2
Date: Tue, 06 Dec 2011 10:02:08 +0000
Source: libmikmod
Source-Version: 3.1.12-2

We believe that the bug you reported is fixed in the latest version of
libmikmod, which is due to be installed in the Debian FTP archive:

libmikmod2-dev_3.1.12-2_amd64.deb
  to main/libm/libmikmod/libmikmod2-dev_3.1.12-2_amd64.deb
libmikmod2_3.1.12-2_amd64.deb
  to main/libm/libmikmod/libmikmod2_3.1.12-2_amd64.deb
libmikmod_3.1.12-2.debian.tar.gz
  to main/libm/libmikmod/libmikmod_3.1.12-2.debian.tar.gz
libmikmod_3.1.12-2.dsc
  to main/libm/libmikmod/libmikmod_3.1.12-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gergely Nagy <algernon@madhouse-project.org> (supplier of updated libmikmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 06 Dec 2011 10:33:37 +0100
Source: libmikmod
Binary: libmikmod2-dev libmikmod2
Architecture: source amd64
Version: 3.1.12-2
Distribution: unstable
Urgency: low
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Changed-By: Gergely Nagy <algernon@madhouse-project.org>
Description: 
 libmikmod2 - Portable sound library
 libmikmod2-dev - Portable sound library - development files
Closes: 650996
Changes: 
 libmikmod (3.1.12-2) unstable; urgency=low
 .
   * Transition to Multi-Arch and dh9, thanks to Vagrant Cascadian
     <vagrant@debian.org> and Steve Langasek <steve.langasek@canonical.com>.
     (Closes: #650996)
Checksums-Sha1: 
 56689f78a0d621c3a4689542f9f86b0070d6161d 1933 libmikmod_3.1.12-2.dsc
 3d104de2ac15f4527a9e3e84011f111c196ada97 11282 libmikmod_3.1.12-2.debian.tar.gz
 da58383c10343ec956163dcab8f88db6dfaceb9e 266722 libmikmod2-dev_3.1.12-2_amd64.deb
 720a2cd321aa4f1c93d8959de410148c509a4fbe 162206 libmikmod2_3.1.12-2_amd64.deb
Checksums-Sha256: 
 cc603e807aad60e164c471a9e29784b4efcaa04682c677bc4e0b28ea1b5d034a 1933 libmikmod_3.1.12-2.dsc
 ff856637ba554a8fc3eb6f358b6d9bb99af479b62a7921b2dd3b6f870da1a7a8 11282 libmikmod_3.1.12-2.debian.tar.gz
 905856db3621e28ab1958600b7f608b13487aacb34e528364e5b7b1fd8f9d346 266722 libmikmod2-dev_3.1.12-2_amd64.deb
 1073245b3edc67745ba6921273ad985c12bf2abb118bef4d96386b4d47d5278f 162206 libmikmod2_3.1.12-2_amd64.deb
Files: 
 6409ac34aa679b8a9a1d3a4fb46a6dc0 1933 libs optional libmikmod_3.1.12-2.dsc
 1781d104537ed5cb428b5de3f9a9f16c 11282 libs optional libmikmod_3.1.12-2.debian.tar.gz
 e97623ee4a699b63afc7691df97de532 266722 libdevel optional libmikmod2-dev_3.1.12-2_amd64.deb
 586e2ac8d58d9b37086a3339e0fe5e79 162206 libs optional libmikmod2_3.1.12-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJO3eWqAAoJEKwekLrEM/aP2FkP/1v9h4KXZy6LxOkxXNxpSJEl
9U9RtmvV7eA1yqLLH+8yvxKufCDENQh7qtUYo9RC6JrgaTc3NFmbS/YI/vyWjRqT
qLG3OEBelf5glbz27mPS6Jp3oqP5BXZzTwqZK5y1CZlsUZzvQP6SQwTtUq0lYFwp
2F4ZD2m+C9dv64LzckP9fmIqD8LNFygB6ys58jqznrZQ8ViQyl5o5Gbkjh/sEcdl
Akg21uS7iN1/voBAPYCXg1UbPijEHD5uk1EMsvCAr2vwrlfyWViJbmtiZySP7wgC
SPTz4v/c0a+BR+ShRtaissfDkr1mIHulcuQkvl0m1dPvsFhuA8CbLJSoAfN/aC9M
k0X3ixGAvAYyXfDP6gxbTR9WzTXxzmtDAQdoxQz1jSxeG7GWc6j85CDciIff8/yM
MOSAi01o3/X+QrTc68k0NMt7cLWs8WYT/lY60SG/ib9nbEWJQ5MzQXqacu9rV6mN
j+8WZMxDfuDq5wv8Gfi3KvmnmzntrnWViTbDWsfD5xMMh94309nakjaStLAxTbo3
FtNSrczgClXU56Y118Mz/ADIbCjw0lI6dHO85ISD8zVCvjv2VoQ51uT36m14SFeb
tg40cVXqGbVfrOTovDeD1RwcfhEamkFePTVdiCRyxls9d5U00WfzRyn83MK0p0M2
4QLaCxsBLKsAU0IoNcM9
=03vp
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#650996; Package src:libmikmod. (Tue, 06 Dec 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Tue, 06 Dec 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 650996@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Gergely Nagy <algernon@madhouse-project.org>
Cc: 650996@bugs.debian.org
Subject: Re: Bug#650996: libmikmod: multiarch support
Date: Tue, 6 Dec 2011 09:44:03 -0800
[Message part 1 (text/plain, inline)]
Hi Gergely,

On Tue, Dec 06, 2011 at 09:58:11AM +0100, Gergely Nagy wrote:
> On Tue, Dec 6, 2011 at 08:47, Steve Langasek
> <steve.langasek@canonical.com> wrote:
> > Attached is a slightly modified version of this patch:
> [...]
> > This version of the patch will be uploaded to Ubuntu precise.

> I'd like to ask you to not upload to precise yet. Instead, allow me to
> upload to Debian first, and it will migrate through to Ubuntu. Less
> work for both parties involved, as the ubuntu buildds won't have to
> build essentially the same thing twice in quick succession.

Sorry, already done; I realize this means a bit of duplication of effort,
but as we have a hard time limit for getting all of ia32-libs converted in
Ubuntu, and I expect to have to iterate through the libraries a couple of
times to find all of the issues, I'm willing to take the hit on the Ubuntu
side even when it's an on-the-ball and responsive maintainer like yourself
on the other end.

> I intend to upload a multiarch-enabled libmikmod tonight, so the delay
> won't be long.

When I see this available I will make sure we get synced back up in Ubuntu.
Thanks!

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#650996; Package src:libmikmod. (Tue, 06 Dec 2011 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. (Tue, 06 Dec 2011 17:54:03 GMT) Full text and rfc822 format available.

Message #35 received at 650996@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: Steve Langasek <steve.langasek@canonical.com>
Cc: 650996@bugs.debian.org
Subject: Re: Bug#650996: libmikmod: multiarch support
Date: Tue, 06 Dec 2011 18:51:33 +0100
Steve Langasek <steve.langasek@canonical.com> writes:

> On Tue, Dec 06, 2011 at 09:58:11AM +0100, Gergely Nagy wrote:
>> On Tue, Dec 6, 2011 at 08:47, Steve Langasek
>> <steve.langasek@canonical.com> wrote:
>> > Attached is a slightly modified version of this patch:
>> [...]
>> > This version of the patch will be uploaded to Ubuntu precise.
>
>> I'd like to ask you to not upload to precise yet. Instead, allow me to
>> upload to Debian first, and it will migrate through to Ubuntu. Less
>> work for both parties involved, as the ubuntu buildds won't have to
>> build essentially the same thing twice in quick succession.
>
> Sorry, already done; I realize this means a bit of duplication of effort,
> but as we have a hard time limit for getting all of ia32-libs converted in
> Ubuntu, and I expect to have to iterate through the libraries a couple of
> times to find all of the issues, I'm willing to take the hit on the Ubuntu
> side even when it's an on-the-ball and responsive maintainer like yourself
> on the other end.

Fair enough. Would it be possible to indicate such reasons in the
reports submitted to Debian?

That way I wouldn't get worked up when I see a patched package appear in
Ubuntu before I had the chance to reply to the Debian bug, while I'm in
a grumpy mood for unrelated reasons.. O:)

>> I intend to upload a multiarch-enabled libmikmod tonight, so the delay
>> won't be long.
>
> When I see this available I will make sure we get synced back up in Ubuntu.
> Thanks!

I ended up uploading much earlier, an hour or two later than the Ubuntu
upload:
 http://packages.qa.debian.org/libm/libmikmod/news/20111206T100208Z.html

-- 
|8]




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jan 2012 07:43:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:07:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.